package adb

import (
	"os/exec"
)

// RunSync ExecCommand executes adb commands with arguments
func (adb Adb) RunSync(command string, args ...string) ([]byte, error) {
	fc := append([]string{command}, args...)
	return exec.Command(adb.BinPath(), fc...).CombinedOutput()
}
